lf知识星球banner

APPIUM自动化测试环境搭建实践

2018-03-13 17:16:00
Seagull
原创
348

安装node.js

node.js的安装包下载地址: https://nodejs.org/en/download/

注意:node.js的安装包的下载在官网有两种版本,建议大家下载LTS版本,按照官方的意思,这个版本应该算是稳定版本。页面会根据你的OS有推荐版本,我的win10 64位,所以他就推荐了下图中的版本。



node.js的安装过程没有什么好说的,一路next下去就行,node.js的安装包中带了npm,上图最上方的位置也说了安装包已经包含npm 5.6.0的版本。


安装完成后检查一下版本有没有问题,如下图:



安装安卓的SDK



安卓SDK下载地址: http://tools.android-studio.org/index.php/sdk

安装过程非常简单,完成后,需要你配置一下环境变量,具体可以百度下,跟配置JDK差不多。

在安装目录下有一个SDK Manager.exe的文件,双击打开,可以下载你想要的SDK。我下的就是最新的8.1,这个根据个人需要选择就可以了.


安装完成后,记得配置相关的环境变量,如下:



安卓的模拟器



个人觉得安卓SDK自带的模拟器不是太好,建议可以使用Genymotion这个模拟器,非常不错,它的官网地址在此: https://www.genymotion.com/ 

要下载,你必须得先注册一个账号,过程不再不再赘述,注册完就能下载了。

Genymotion下载链接在此: https://www.genymotion.com/download/

最好直接下载第一个,直接内置了VirtualBox,否则还得另外安装。



安装appium



appium的安装有几种方式,我看了下exe的安装方式,基本都是比较老的版本。

所以推荐npm的安装方式,简单方便,它是可以直接取到最新的版本安装的。

因为前面安装node.js的时候,已经安装了npm,所以这里我们不再需要单独安装npm,直接使用此命令就可以了。

你如果要安装最新的版本可以直接使用以下命令

npm -install -g appium


如果你要安装指定的版本可以全用以下命令

npm -install -g appium@1.7.1



如果出现以下错误,请检查下node.js的版本以及npm的版本是否太低了,特别是node.js的版本还停留在V 0.12.XX以下版本的,使用npm安装肯定会出现类似这种问题。

另外,有些同学说下载怕有墙会影响下载速度,其实完全没必要,自己亲测完全安装大概20分钟左右就能完成,也没必要翻墙或是安装阿里的cnpm。我在下载完成后,安装的过程中出现了两次错误,多装两次就好了。


注意: 自动安装完后,机器会自动重启,我的win10就在我猝不及防的情况重启了,提醒大家提前保存好重要的东西。

重启完成后,就可以检查一下appium版本了。



启动APPIUM服务



注意:直接使用appium启动服务,这里监听的IP跟端口都是默认的,也就是0.0.0.0:4723

如果你要指定IP跟端口,可以采取以下方式


好了,到这里,你的appium环境就已经搭建起来啦。


文章原创申明
  • 本站文章以及相关内容除注明 转贴外,均为本站 原创翻译

  • 如果本站转载的文章涉嫌侵犯了您的权益,请在评论区留言或是邮件联系管理员及时删除 【admin@luckyframe.cn】

发表评论
评论通过审核后显示。
千聊课程一bannar